View Issue Details

IDProjectCategoryView StatusLast Update
0000525XdebugInstallationpublic2010-02-20 13:40
ReporterdarkangelAssigned To 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000525: Can't get Xdebug 2.0.5 *or* 2.1.0 (vc9) to work on Windows
Descriptionphp_xdebug-2.0.5-5.3-vc9.dll and php_xdebug-2.1.0beta1-5.3-vc9.dll both result in connection reset messages.
Additional InformationOS: Windows 7 Home Premium 64 bit
Web server: Apache 2.2.14
PHP: 5.3.1 (vc9)
TagsNo tags attached.
Operating System
PHP Version5.3.1

Activities

derick

2010-01-30 10:21

administrator   ~0001292

You need to provide a whole of a lot more information. I can do nothing with this.

darkangel

2010-01-30 15:51

reporter   ~0001294

My apologies, Derick.

As soon as I load Xdebug using:

zend_extension="C:\Program Files (x86)\PHP\5.3\ext\php_xdebug-2.1.0beta1-5.3-vc9.dll"
xdebug.remote_enable=true

Any page I open (open, not debug) results in a connection reset message.

I only have 7 other basic PHP extensions loaded:

[PHP_GD2]
extension=php_gd2.dll
[PHP_MYSQL]
extension=php_mysql.dll
[PHP_MYSQLI]
extension=php_mysqli.dll
[PHP_OPENSSL]
extension=php_openssl.dll
[PHP_PDO_MYSQL]
extension=php_pdo_mysql.dll
[PHP_PDO_SQLITE]
extension=php_pdo_sqlite.dll
[PHP_SQLITE]
extension=php_sqlite.dll

I get this error in my event log:

Faulting application name: httpd.exe, version: 2.2.14.0, time stamp: 0x4ac181d6
Faulting module name: php_xdebug-2.1.0beta1-5.3-vc9.dll, version: 2.1.0.0, time stamp: 0x4b3fd987
Exception code: 0xc0000005
Fault offset: 0x00007853
Faulting process id: 0x98c
Faulting application start time: 0x01caa1c2e0061adf
Faulting application path: C:\Program Files (x86)\Apache Software Foundation\Apache2.2\bin\httpd.exe
Faulting module path: C:\Program Files (x86)\PHP\5.3\ext\php_xdebug-2.1.0beta1-5.3-vc9.dll
Report Id: 1f0bcd47-0db6-11df-9dec-00235408c9d8

And this information:

Fault bucket , type 0
Event Name: APPCRASH
Response: Not available
Cab Id: 0

Problem signature:
P1: httpd.exe
P2: 2.2.14.0
P3: 4ac181d6
P4: php_xdebug-2.1.0beta1-5.3-vc9.dll
P5: 2.1.0.0
P6: 4b3fd987
P7: c0000005
P8: 00007853
P9:
P10:

Attached files:

These files may be available here:
C:\ProgramData\Microsoft\Windows\WER\ReportQueue\AppCrash_httpd.exe_df12048b088672dead4b8f63b41e4c3be7e6e50_0573087f

Analysis symbol:
Rechecking for solution: 0
Report Id: 1f0bcd47-0db6-11df-9dec-00235408c9d8
Report Status: 4

-----

What other information do you need?

derick

2010-01-30 16:58

administrator   ~0001296

Who's apache build are you using? If it's from Apache itself, you need a VC6 PHP (and Xdebug).

darkangel

2010-01-30 21:18

reporter   ~0001303

Yes, it's from Apache. I tried PHP & Xdebug VC6 now:

Version 2.0.5: Started with quite a few connection resets, then stabalized, but debugging doesn't work properly (variables which are initialized are shown as not initialized). I've had this issue in the past and you sent me a 2.1 dev version which fixed it.

Version 2.1dev: About 60 - 70% of requests are reset. See error below.

Faulting application name: httpd.exe, version: 2.2.14.0, time stamp: 0x4ac181d6
Faulting module name: php_xdebug-2.1dev-5.3-vc6.dll, version: 2.1.0.0, time stamp: 0x4af00bfa
Exception code: 0xc0000005
Fault offset: 0x00009da3
Faulting process id: 0x13a0
Faulting application start time: 0x01caa1f07368027b
Faulting application path: C:\Program Files (x86)\Apache Software Foundation\Apache2.2\bin\httpd.exe
Faulting module path: C:\Program Files (x86)\PHP\5.3\ext\php_xdebug-2.1dev-5.3-vc6.dll
Report Id: b3145537-0de3-11df-bc1b-00235408c9d8

-----

Could you maybe make a 2.1beta1 VC6 download available which I can try?

darkangel

2010-01-31 11:17

reporter   ~0001305

@Sharat

php_xdebug-2.0.5-5.2.dll is for PHP 5.2, not 5.3.

@Derick

I tried Apache VC9 from Apache Lounge, and the same thing happens with 2.1.0beta1 -- loads and loads of connection resets. :-(

darkangel

2010-01-31 12:14

reporter   ~0001306

APC does the same thing when enabled: http://pecl.php.net/bugs/bug.php?id=17027

darkangel

2010-02-01 10:42

reporter   ~0001312

Backtrace, as requested: http://www.mediafire.com/?vmhmtdw4gym

darkangel

2010-02-03 21:54

reporter   ~0001317

New backtrace using Xdebug symbols: http://www.mediafire.com/?g3jthz2jtyy

derick

2010-02-16 01:02

administrator   ~0001338

I've just uploaded new Windows binaries to http://xdebug.org/files/xdebug-latest.tgz [^] [^] which should contain a binary that has a few crash bugs fixed. Please try.

darkangel

2010-02-19 16:36

reporter   ~0001363

Thanks Derick, this is working fairly well – a lot less crashes and a fix for the header issue as well.

derick

2010-02-20 13:40

administrator   ~0001364

Okay, let's close this then.

Issue History

Date Modified Username Field Change
2010-01-25 09:03 darkangel New Issue
2010-01-25 09:03 darkangel PHP Version => 5.3.1
2010-01-25 09:03 darkangel Xdebug Version => 2.1.0beta1
2010-01-30 10:21 derick Note Added: 0001292
2010-01-30 10:21 derick Status new => feedback
2010-01-30 15:51 darkangel Note Added: 0001294
2010-01-30 16:58 derick Note Added: 0001296
2010-01-30 21:18 darkangel Note Added: 0001303
2010-01-31 11:17 darkangel Note Added: 0001305
2010-01-31 12:14 darkangel Note Added: 0001306
2010-02-01 10:42 darkangel Note Added: 0001312
2010-02-03 21:54 darkangel Note Added: 0001317
2010-02-16 01:02 derick Note Added: 0001338
2010-02-19 16:36 darkangel Note Added: 0001363
2010-02-20 13:40 derick Note Added: 0001364
2010-02-20 13:40 derick Status feedback => closed
2010-02-20 13:40 derick Resolution open => fixed